Name:           mock-rpmfusion-free
Version:        28.0
Release:        1%{?dist}
Summary:        Mock config files for the RPM Fusion Free Repository

Group:          Development/Tools
License:        BSD
URL:            https://rpmfusion.org/
Source0:        https://github.com/rpmfusion-infra/mock-rpmfusion/releases/download/%{version}/%{name}-%{version}.tar.bz2

BuildArch:      noarch
Requires:       mock >= 1.2.19

%description
Mock config files for the RPM Fusion Free Repository


%prep
%setup -q -c


%build
#Nothing to build


%install
mkdir -p %{buildroot}%{_sysconfdir}/mock
install -pm 0644 etc/mock/*_free.cfg %{buildroot}%{_sysconfdir}/mock


%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/mock/*_free.cfg


%changelog
* Mon Mar 05 2018 Sérgio Basto <sergio@serjux.com> - 28.0-1
- Ready for branch F28

* Fri Feb 23 2018 Sérgio Basto <sergio@serjux.com> - 27.1-1
- Move rpmfusion buildroot to branch F28
- Prepare new version and drop F25
- Fix locations of fedora-secondary arches

* Tue Aug 22 2017 Sérgio Basto <sergio@serjux.com> - 27.0-1
- Add configuration files for Fedora 27
- Remove Configuration files for Fedora 24

* Sun Mar 26 2017 RPM Fusion Release Engineering <kwizart@rpmfusion.org> - 26.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Mar 02 2017 Sérgio Basto <sergio@serjux.com> - 26.0-1
- Add configuration files for Fedora 26
- Remove Configuration files for Fedora 23

* Thu Jan 05 2017 Sérgio Basto <sergio@serjux.com> - 25.2-1
- Fix el-round.sh typo
- Not include rpmfusion-buildsys-epel-template
  This template may will be need when we got back kmod building, we will need
  a special repo with new kernels until have something like it, we dont need this
  template, buildsys_override repos for each branch is in
  rpmfusion-free-epel-template and rpmfusion-nonfree-epel-template, also add
  configure: cost=2000 like in other cases of koji configurations.
- Print and remove obsoleted .cfg files.
- Enable gpgkeys
- Switch to metalink over https
- Organization: move all .cfg files to etc/mock directory
- Organization: Move templates not in use to not_in_use directory
- Update *.spec.in files according new locations of files.
- Clean trailings whitespaces.
- Clean up/modernize spec file, use %{buildroot} macro
- Also run ./round.sh and ./el-round.sh with make

* Thu Nov 10 2016 Sérgio Basto <sergio@serjux.com> - 25.1-1
- Update package requires to mock >= 1.2.19
- Bug fix.
- Add local repo, useful for epel builds.
- Use include include statement

* Tue Aug 09 2016 Sérgio Basto <sergio@serjux.com> - 25.0-1
- Update to 25.0

* Fri Jul  1 2016 Nicolas Chauvet <kwizart@gmail.com> - 24.0-1
- Update to 24.0

* Tue Nov 10 2015 Nicolas Chauvet <kwizart@gmail.com> - 23.0-1
- Update to 23.0

* Sun May 24 2015 Nicolas Chauvet <kwizart@gmail.com> - 22.0-1
- Update to 22.0

* Sun Dec  7 2014 Nicolas Chauvet <kwizart@gmail.com> - 21.0-1
- Update to 21.0
- Fix armhfp is primary since f20
- sync with fedora mock

* Sat Mar 15 2014 Nicolas Chauvet <kwizart@gmail.com> - 20.1-1
- Fix rawhide kernel-nodebug - rfbz#3127
- Drop rawhide sparc
- sync with mock for fedora and el
- Introduce preliminary config for el7

* Sun Dec 15 2013 Nicolas Chauvet <kwizart@gmail.com> - 20.0-1
- Update to 20.0
- Add rpmfusion-kernel-devel-override
- Drop fedora-17
- Drop arm with fedora-19 (only keep armhfp)

* Sun Jul 28 2013 Nicolas Chauvet <kwizart@gmail.com> - 19.2-1
- Update to 19.2
- Add rawhide-kernel-nodebug

* Sun Jul 28 2013 Nicolas Chauvet <kwizart@gmail.com> - 19.1-1
- Update to 19.1
- Add kernel-override repository - disabled by default

* Tue Apr  2 2013 Nicolas Chauvet <kwizart@gmail.com> - 19.0-1
- Add fedora-19

* Tue Jan  1 2013 Nicolas Chauvet <kwizart@gmail.com> - 18.1-1
- Sync with mock 1.1.28
- Switch to release for F-18
- Fix sparc not available for f18 rfbz#2620

* Thu Sep  6 2012 Nicolas Chauvet <kwizart@gmail.com> - 18.0-1
- Update to 18.0
- Remove fedora-14 and fedora-15
- Fix Rawhide repo - rfbz#2431
- Sync with mock layout (debug repo)

* Sun Jun 24 2012 Nicolas Chauvet <kwizart@gmail.com> - 17.1-1
- Switch baseurl to fedora-secondary
- Fix koji local URL on secondary arches
- Disable testing repos on EL

* Thu Mar  8 2012 Nicolas Chauvet <kwizart@gmail.com> - 17.0-1
- Bump to 17.0
- Introduce armhfp for 15 17 rawhide
- Drop the multilib workaround
- Update dist-f??-build to f??-build

* Sun Jul 31 2011 Nicolas Chauvet <kwizart@fedoraproject.org> - 15.1-1
- Add Support for EL6 - rfbz#1862 & rfbz#1864
- Obsolete F13 config files
- Fix arm local repository
- Add support for branched/f16

* Wed Jun 15 2011 Nicolas Chauvet <kwizart@fedoraproject.org> - 15.0-1
- Update to 15.0
- Sync with mock-1.1.10
- Add secondary arches (arm,sparc,sparc64,s390x).

* Mon Oct 11 2010 Nicolas Chauvet <kwizart@fedoraproject.org> - 14.0-1
- Update to 14.0
- Fix syslog user
- Initiate epel-6 files

* Tue Apr 13 2010 Nicolas Chauvet <kwizart@fedoraproject.org> - 13.0-1
- Update to 13.0

* Sat Nov 14 2009 Nicolas Chauvet <kwizart@fedoraproject.org> - 12.1-1
- Resync with mock 0.19 (update local repos)
- ccache is now available on EL5
- avoid to define the macro 'distribution'
- Add buildsys repos (disabled by default).

* Wed Nov  4 2009 kwizart < kwizart at gmail.com > - 12.0-1
- Update to 12.0 (i686 by default)
- Provides some macros
- Fix fedora koji local repository
- Bump rawhide to fc13

* Wed Sep  2 2009 kwizart < kwizart at gmail.com > - 11.1-1
- Sync epel 4/5 (Moved to koji, removed plague reference)

* Fri Jul 31 2009 kwizart < kwizart at gmail.com > - 11.0-2
- Switch to target i686 on x86 for Rawhide F-12

* Tue May 12 2009 kwizart < kwizart at gmail.com > - 11.0-1
- Branch for F-11

* Wed Mar  4 2009 kwizart < kwizart at gmail.com > - 10.1-1
- Update to 10.1
- Fix Rawhide dist to .f11
- Set Rawhide default target_arch to i586 for x86

* Mon Feb 23 2009 kwizart < kwizart at gmail.com > - 10.0-1
- Bump to 10.0

* Fri Feb 20 2009 kwizart < kwizart at gmail.com > - 0.93-1
- Update to 0.93
- Add need_sign repos (desactivated by default).
- Use the same root as the mother distro.

* Thu Dec 18 2008 kwizart < kwizart at gmail.com > - 0.90-1
- Initial package.

